<?php

/**
 * @package Popular Topics
 * @version 1.1
 * @author Diego Andrés <diegoandres_cortes@outlook.com>
 * @copyright Copyright (c) 2015, Diego Andrés
 * @license http://www.mozilla.org/MPL/MPL-1.1.html
 */

	if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
		require_once(dirname(__FILE__) . '/SSI.php');

	elseif (!defined('SMF'))
		exit('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

	global $smcFunc, $context;

	db_extend('packages');

	if (empty($context['uninstalling']))
	{

		// Default settings
		$smcFunc['db_insert'](
			'ignore',
			'{db_prefix}settings',
			array(
				'variable' => 'string',
				'value' => 'string',
			),
			array(
				array('PopularTopics_enable', '0'),
				array('PopularTopics_views_percent', '70'),
				array('PopularTopics_replies_percent', '30'),
			),
			array('variable')
		);

	}